public class UploadMediaByURLRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
appId
The ID of the application.
|
String |
sessionId
The custom identifier for deduplication.
|
String |
storageLocation
The storage address of the media file.
|
String |
templateGroupId
The ID of the transcoding template group.
|
String |
uploadMetadatas
The metadata of the media file that you want to upload.
|
String |
uploadURLs
The URL of the media file.
|
String |
userData
The custom configurations such as callback configurations and upload acceleration configurations.
|
String |
workflowId
The ID of the workflow.
|
| 构造器和说明 |
|---|
UploadMediaByURLRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static UploadMediaByURLRequest |
build(Map<String,?> map) |
String |
getAppId() |
String |
getSessionId() |
String |
getStorageLocation() |
String |
getTemplateGroupId() |
String |
getUploadMetadatas() |
String |
getUploadURLs() |
String |
getUserData() |
String |
getWorkflowId() |
UploadMediaByURLRequest |
setAppId(String appId) |
UploadMediaByURLRequest |
setSessionId(String sessionId) |
UploadMediaByURLRequest |
setStorageLocation(String storageLocation) |
UploadMediaByURLRequest |
setTemplateGroupId(String templateGroupId) |
UploadMediaByURLRequest |
setUploadMetadatas(String uploadMetadatas) |
UploadMediaByURLRequest |
setUploadURLs(String uploadURLs) |
UploadMediaByURLRequest |
setUserData(String userData) |
UploadMediaByURLRequest |
setWorkflowId(String workflowId) |
@NameInMap(value="AppId") public String appId
The ID of the application. Default value: **app-1000000**. For more information, see [Overview](~~113600~~).
@NameInMap(value="SessionId") public String sessionId
The custom identifier for deduplication. If you specify this parameter and send a request, an error is returned if a request with the same identifier was sent in the last 10 minutes. A custom identifier can be up to 50 characters in length and can contain letters, digits, hyphens (-), and underscores (\_). If you do not specify this parameter or leave this parameter empty, duplicate requests are not filtered.
@NameInMap(value="StorageLocation") public String storageLocation
The storage address of the media file.
To view the storage address, log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com/?spm=a2c4g.11186623.2.15.6948257eaZ4m54#/vod/settings/censored). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Storage**. If you do not specify a storage address, the default storage address is used.
@NameInMap(value="TemplateGroupId") public String templateGroupId
The ID of the transcoding template group. You can use one of the following methods to obtain the ID of the transcoding template group:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Transcoding Template Groups**. On the Transcoding Template Groups page, view the ID of the transcoding template group.
* Obtain the value of TranscodeTemplateGroupId from the response to the [AddTranscodeTemplateGroup](~~102665~~) operation.
* Obtain the value of TranscodeTemplateGroupId from the response to the [ListTranscodeTemplateGroup](~~102669~~) operation.
>- If you leave this parameter empty, the default transcoding template group is used for transcoding. If you specify this parameter, the specified transcoding template group is used for transcoding.
>- You can also specify the ID of the transcoding template group in `UploadMetadatas`. If you specify this parameter and TemplateGroupId in UploadMetadatas, the TemplateGroupId in UploadMetadatas takes effect.
@NameInMap(value="UploadMetadatas") public String uploadMetadatas
The metadata of the media file that you want to upload. The value must be a JSON string.
* This parameter takes effect only if SourceURL matches the URL that you specified for UploadURLs.
* You must convert the JSON-formatted data such as `[UploadMetadata, UploadMetadata,…]` to a JSON string.
* For more information, see the **UploadMetadata** table.
@NameInMap(value="UploadURLs") public String uploadURLs
The URL of the media file.
* You must include a file name extension in the URL, such as `https://****.mp4`.
* If the URL does not contain a file name extension, specify a file name extension for `FileExtension` in `UploadMetadatas`.
* If you specify `FileExtension` when the URL contains a file name extension, the file name extension that you specified for `FileExtension` takes effect.
* For more information about file name extensions supported by ApsaraVideo VOD, see [Overview](~~55396~~).
* URL encoding is required. Separate multiple URLs with commas (,). You can specify a maximum of 20 URLs.
* Special characters may cause upload failures. You must encode URLs before you separate them with commas (,).
@NameInMap(value="UserData") public String userData
The custom configurations such as callback configurations and upload acceleration configurations. The value must be a JSON string. For more information, see [Request parameters](~~86952#UserData~~).
>- The callback configurations take effect only after you specify the HTTP callback URL and select specific callback events in the ApsaraVideo VOD console. For more information about how to configure HTTP callback settings in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
>- If you want to enable the upload acceleration feature, [submit a request on Yida](https://yida.alibaba-inc.com/o/ticketapply). For more information, see [Overview](~~55396~~).
@NameInMap(value="WorkflowId") public String workflowId
The ID of the workflow. To view the ID of the workflow, log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Workflows**.
> If you specify WorkflowId and TemplateGroupId, the value of WorkflowId takes effect. For more information, see [Workflows](~~115347~~).
public static UploadMediaByURLRequest build(Map<String,?> map) throws Exception
Exceptionpublic UploadMediaByURLRequest setAppId(String appId)
public String getAppId()
public UploadMediaByURLRequest setSessionId(String sessionId)
public String getSessionId()
public UploadMediaByURLRequest setStorageLocation(String storageLocation)
public String getStorageLocation()
public UploadMediaByURLRequest setTemplateGroupId(String templateGroupId)
public String getTemplateGroupId()
public UploadMediaByURLRequest setUploadMetadatas(String uploadMetadatas)
public String getUploadMetadatas()
public UploadMediaByURLRequest setUploadURLs(String uploadURLs)
public String getUploadURLs()
public UploadMediaByURLRequest setUserData(String userData)
public String getUserData()
public UploadMediaByURLRequest setWorkflowId(String workflowId)
public String getWorkflowId()
Copyright © 2024. All rights reserved.